[Pythonmac-SIG] MySQLdb lib help

Bob Ippolito bob at redivi.com
Wed Jan 18 20:45:35 CET 2006


On Jan 18, 2006, at 11:25 AM, Russell E. Owen wrote:

> In article
> <r02010500-1043-50CFF02886AF11DAA169001124D7A34A@[192.168.2.39]>,
>  Chris Porter <chrisporter at wi.rr.com> wrote:
>
>> Hello, complete python newbie here.
>>
>> I've got:
>>
>> OSX 10.4.3
>> Python 2.3.5
>> MySQL 4.1.15-standard
>> (of course, all pre-installed, except for MySQL)
>>
>> I don't seem to have the right python module that will allow  
>> python to
>> interact with my MySQL
>> databases.
>>
>> I am completely not a programmer, but I can follow a cookbook-type
>> instruction set in Terminal, and
>> have already set up several MySQL databases and php on my personal  
>> intranet.
>> Now I want to run a
>> python program (by someone else, of course) that also interacts  
>> with my MySQL
>> databases. I've run
>> the test query that searches for the MySQLdb python module, and  
>> found I don't
>> have it, so I need to
>> install it.  So, I found this list. Looked for the past year for  
>> information
>> about this issue:
>>
>> Bob said in June:
>> "You can download a MySQL-python 1.2 installer from:
>> http://pythonmac.org/packages/"
>>
>> So I did. And installed it (though it's for 10.3) and ran the
>> test I found on the web in Terminal:
>
> The 10.3 version of that package should work fine on your system  
> (that's
> why it says "10.3+"). Do make sure you got the version for python 2.3,
> not 2.4, since you're using the preinstalled python.
>
> I'm not sure why it might have failed. Some things to try:

I'm exactly sure why it failed.  Just like the other day, you must  
install the TigerPython23Compat before any of those 10.3 packages  
will be importable by the Python 2.3 on Mac OS X 10.4.  All  
TigerPython23Compat does is add a pth file to /Library/Python/2.3/ 
site-packages that points to /Library/Python/2.3

-bob



More information about the Pythonmac-SIG mailing list